import { collapseEmits, collapseProps } from "./collapse.mjs";
import { useCollapse, useCollapseDOM } from "./use-collapse.mjs";
import { defineComponent, createElementBlock, openBlock, normalizeClass, unref, renderSlot } from "vue";
var collapse_vue_vue_type_script_setup_true_lang_default = /* @__PURE__ */ defineComponent({
  name: "ElCollapse",
  __name: "collapse",
  props: collapseProps,
  emits: collapseEmits,
  setup(__props, { expose: __expose, emit: __emit }) {
    const props = __props;
    const { activeNames, setActiveNames } = useCollapse(props, __emit);
    const { rootKls } = useCollapseDOM(props);
    __expose({
      activeNames,
      setActiveNames
    });
    return (_ctx, _cache) => {
      return openBlock(), createElementBlock("div", { class: normalizeClass(unref(rootKls)) }, [renderSlot(_ctx.$slots, "default")], 2);
    };
  }
});
export {
  collapse_vue_vue_type_script_setup_true_lang_default as default
};
